package com.sd.business.util.sql.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.util.sql.Where;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

public interface JoinMapper {

    @Select("${sql} ${ew.customSqlSegment}")
    List<Map<String, Object>> list(@Param("sql") String sql, @Param("ew") Where<?> wrapper);

    @Select("${sql} ${ew.customSqlSegment}")
    Page<Map<String, Object>> page(@Param("sql") String sql, @Param("page") Page<?> page, @Param("ew") Where<?> wrapper);

    @Select("${sql} ${ew.customSqlSegment}")
    Map<String, Object> one(@Param("sql") String sql, @Param("ew") Where<?> wrapper);

}
